/**
 * Google 登录请求
 *
 */
import { z } from "zod";

import { booleanOrFalse, stringOrEmpty } from "../../nullable-defaults";

export const GoogleLoginRequestSchema = z
  .object({
    idToken: z.string(),
    platform: z.string(),
    guestId: stringOrEmpty,
    psid: stringOrEmpty,
    isTestAccount: booleanOrFalse,
  })
  .readonly();

export type GoogleLoginRequestInput = z.input<typeof GoogleLoginRequestSchema>;
export type GoogleLoginRequestData = z.output<typeof GoogleLoginRequestSchema>;

export type GoogleLoginRequest = GoogleLoginRequestData;
